Skip to content

CreditReportService⁠

Import or order a credit report.

Operations⁠

orderReport⁠

POST

Orders a credit report.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Bureaustringoptional
AccountNumberstringoptional
SSNstringoptional
Path Parameters
symstringrequired
Sym number
CredRepLocatorintegeroptional
POST/nexum/{sym}/persistent/creditreport/orderReport
POST /nexum/627/persistent/creditreport/orderReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "Bureau": "string",
  "AccountNumber": "string",
  "SSN": "string",
  "Name": {
    "LastName": "string",
    "FirstName": "string",
    "MiddleName": "string",
    "NameSuffix": "string"
  },
  "Address": {
    "HouseNumber": "string",
    "Directional": "string",
    "StreetName": "string",
    "StreetType": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "string"
  },
  "Experian": {
    "OperatorCode": "string",
    "RiskModel": {
      "Model1": "string",
      "Model2": "string",
      "Model3": "string",
      "Model4": "string",
      "Model5": "string"
    }
  },
  "ChexSystems": {
    "IncludeNewAccountChex": true,
    "IncludeQualiFile": true,
    "IncludeIDVerification": true,
    "IncludeOFACWatch": true
  },
  "nxAttributes": {
    "customFields": {}
  }
}

importReport⁠

POST

Imports a credit report.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Bureaustringoptional
AccountNumberstringoptional
FileNamestringoptional
ECOAInquiryTypestringoptional
Path Parameters
symstringrequired
Sym number
CredRepLocatorintegeroptional
POST/nexum/{sym}/persistent/creditreport/importReport
POST /nexum/627/persistent/creditreport/importReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "Bureau": "string",
  "AccountNumber": "string",
  "FileName": "string",
  "PrimaryMember": {
    "SSN": "string",
    "Name": {
      "LastName": "string",
      "FirstName": "string",
      "MiddleName": "string",
      "NameSuffix": "string"
    },
    "BirthDate": "string"
  },
  "JointMember": {
    "SSN": "string",
    "Name": {
      "LastName": "string",
      "FirstName": "string",
      "MiddleName": "string",
      "NameSuffix": "string"
    },
    "BirthDate": "string"
  },
  "ECOAInquiryType": "string",
  "nxAttributes": {
    "customFields": {}
  }
}